Loading...
Searching...
No Matches
pcl::gpu::NeighborIndices Struct Reference

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/include/pcl/gpu/octree/device_format.hpp>`

## Public Member Functions

| NeighborIndices ()
| NeighborIndices (int query_number, int max_elements)
void | create (int query_number, int max_elements)
void | upload (const std::vector< int > &data, const std::vector< int > &sizes, int max_elements)
bool | validate (std::size_t cloud_size) const
| operator PtrStep< int > () const
std::size_t | neighboors_size () const

## Public Attributes

DeviceArray< int > | data
DeviceArray< int > | sizes
int | max_elems

## Detailed Description

Definition at line 46 of file device_format.hpp.

## Constructor & Destructor Documentation

## NeighborIndices() [1/2]

pcl::gpu::NeighborIndices::NeighborIndices | ( |  | ) |

inline

Definition at line 52 of file device_format.hpp.

## NeighborIndices() [2/2]

pcl::gpu::NeighborIndices::NeighborIndices | ( | int | query_number,
|  | int | max_elements
| ) |  |

inline

Definition at line 53 of file device_format.hpp.

References create().

## Member Function Documentation

## create()

void pcl::gpu::NeighborIndices::create | ( | int | query_number,
|  | int | max_elements
| ) |  |

inline

Definition at line 58 of file device_format.hpp.

References pcl::gpu::DeviceArray< T >::create(), data, max_elems, and sizes.

Referenced by NeighborIndices().

## neighboors_size()

std::size_t pcl::gpu::NeighborIndices::neighboors_size | ( |  | ) | const

inline

Definition at line 84 of file device_format.hpp.

References data, max_elems, and pcl::gpu::DeviceArray< T >::size().

## operator PtrStep< int >()

pcl::gpu::NeighborIndices::operator PtrStep< int > | ( |  | ) | const

inline

Definition at line 79 of file device_format.hpp.

References data, max_elems, and pcl::gpu::DeviceArray< T >::ptr().

## upload()

void pcl::gpu::NeighborIndices::upload | ( | const std::vector< int > & | data,
|  | const std::vector< int > & | sizes,
|  | int | max_elements
| ) |  |

inline

Definition at line 67 of file device_format.hpp.

References data, max_elems, and sizes.

## validate()

bool pcl::gpu::NeighborIndices::validate | ( | std::size_t | cloud_size | ) | const

inline

Definition at line 74 of file device_format.hpp.

References data, max_elems, pcl::gpu::DeviceArray< T >::size(), and sizes.

## Member Data Documentation

## data

DeviceArray<int> pcl::gpu::NeighborIndices::data

Definition at line 48 of file device_format.hpp.

Referenced by create(), pcl::gpu::extractLabeledEuclideanClusters(), neighboors_size(), operator PtrStep< int >(), upload(), and validate().

## max_elems

int pcl::gpu::NeighborIndices::max_elems

Definition at line 50 of file device_format.hpp.

Referenced by create(), neighboors_size(), operator PtrStep< int >(), upload(), and validate().

## sizes

DeviceArray<int> pcl::gpu::NeighborIndices::sizes

Definition at line 49 of file device_format.hpp.

Referenced by create(), pcl::gpu::extractEuclideanClusters(), pcl::gpu::extractLabeledEuclideanClusters(), upload(), and validate().

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/include/pcl/gpu/octree/device_format.hpp